package com.sifang.modules.monitor.ginlong.dto.inverterday;

import com.fasterxml.jackson.annotation.JsonProperty;

public class GetInverterDayR {

    /**
     * 逆变器状态:
     * 1 = 在线
     * 2 = 离线
     * 3 = 报警
     */
    private String state;
    private Long dataTimestamp;
    private String timeStr;
    @JsonProperty("eToday")
    private Double eToday;
    @JsonProperty("eTotal")
    private Double eTotal;
    private Double pac;
    private String pacStr;

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Long getDataTimestamp() {
        return dataTimestamp;
    }

    public void setDataTimestamp(Long dataTimestamp) {
        this.dataTimestamp = dataTimestamp;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public Double geteToday() {
        return eToday;
    }

    public void seteToday(Double eToday) {
        this.eToday = eToday;
    }

    public Double geteTotal() {
        return eTotal;
    }

    public void seteTotal(Double eTotal) {
        this.eTotal = eTotal;
    }

    public Double getPac() {
        return pac;
    }

    public void setPac(Double pac) {
        this.pac = pac;
    }

    public String getPacStr() {
        return pacStr;
    }

    public void setPacStr(String pacStr) {
        this.pacStr = pacStr;
    }
}
